variable "vcenter_server" {}
variable "vsphere_username" {}
variable "vsphere_password" {
    sensitive = true
}

variable "vsphere_host" {}
variable "vsphere_datacenter" {}
variable "vsphere_cluster" {}

variable "vsphere_templatefolder" {}
variable "vsphere_folder" {}
variable "vsphere_datastore" {}
variable "vsphere_network" {}

variable "vm_name" {}
variable "vm_guestos" {}
variable "ssh_password" {
    sensitive = true
}

variable "iso_url" {}
variable "iso_checksum" {}
variable "repo_username" {}
variable "repo_password" {
    sensitive = true
}
local "iso_authenticatedurl" {
    expression = "https://${var.repo_username}:${var.repo_password}@${var.iso_url}"
    sensitive  = true
}
